
Figure - Bug #115047
测试 Test-ST # 113421 (New): V4.0功能与专项测试

【BSP】【EVT2】【ST】【Tlog】设备启动时打包删除日志，若时间有变化，会导致部分日志不会被删除，比
如：998 2022-12-28 02:55 重启，重启后时间变更为2022-12-28 01:21，这时之前02:55生成的日志没有删除
2023-01-04 11:10 - 移动测试一组_CDTS 刘强

Status: CLOSED Start date: 2023-01-04

Priority: High Due date:

Assignee: 移动测试一组_CDTS 刘强 % Done: 100%

Category: SYSTEM Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.R.userdebug.01.00.0063.X101

Resolution: FIXED Degrated: No

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version: 2023-01-11

Test Type: ST Root cause: 打包完成后，删除逻辑针对正在写入的日志处理问题导致。

Description

【前提条件】

None

【测试步骤】

1、设备烧机后，进入主界面

2、通过*#147#打开tlog，勾选所有日志，并点击start

3、等待一段时间后，如果时间为：2022-12-28 02:55 （此时已经有很多日志文件产生）

4、重启设备后，查看日志打包、删除情况

【预期结果】

4.设备第一次开机后，所有日志均被打包，并删除

【实际结果】

4.设备重启后时间会变更为默认时间如：2022-12-28 01:21，这时之前2022-12-28 02:55时间段的日志就不会被删除

History

#1 - 2023-01-11 10:45 - CD FW-廖涛

- Status changed from New to ASSIGNED

- Assignee changed from CD SYSTEM-夏旭 to CD FW-廖涛

#2 - 2023-01-11 20:25 - CD FW-廖涛

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW-廖涛 to 移动测试一组_CDTS 刘强

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-01-11

- Root cause set to 打包完成后，删除逻辑针对正在写入的日志处理问题导致。

■ Current conclusion

已处理。

■ My analysis
打包完成后，删除逻辑针对正在写入的日志处理问题导致，已优化删除逻辑。

■ Next action

测试验证。

#3 - 2023-01-13 17:28 - 移动测试一组_CDTS 刘强

- Status changed from RESOLVED to VERIFIED

验证版本：FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0068.X101

验证结果：验证通过

#4 - 2023-01-13 17:28 - 移动测试一组_CDTS 刘强

- Status changed from VERIFIED to CLOSED
